# The TeraWurfl UserAgent Features Adapter

## Overview

TeraWurfl parses the WURFL database into a MySQL database, and provides an API for querying that database for mobile device capabilies. The API also performs rigorous caching, leading to excellent performance.

## Quick Start

You will need to download and install TeraWurfl. Make a note of where you install the library (`TeraWurfl.php`); we recommend installing it in your application's `library` directory.

Once installed, the easiest way to use TeraWurfl is to configure it via the application resource.

    resources.useragent.terawurfl.terawurfl_lib_dir = APPLICATION_PATH "/../library/"

If the file is autoloadable, you can also specify an empty configuration in order to utilize the adapter.

    resources.useragent.terawurfl[] =

## Configuration Options

### TeraWurfl API Options

terawurfl.terawurfl_lib_dir

  If using the TeraWurfl API, use this key to specify in which directory the `TeraWurfl.php` file exists.

## Available Methods

`getFromRequest` array $request, array $config

  Decompose the request in order to return an array of device capabilities.